Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.genericasync.builders.impl
Class ResponseObjectBuilderImpl

    java.lang.Object
      be.ehealth.businessconnector.genericasync.builders.impl.ResponseObjectBuilderImpl

All Implemented Interfaces:
  ResponseObjectBuilder, ConfigurableImplementation

    public class ResponseObjectBuilderImpl

extends Object
implements ResponseObjectBuilder

Implementation of `ResponseObjectBuilder`

Constructor Summary
`ResponseObjectBuilderImpl()`

Method Summary
`Map<Object,SignatureVerificationResult>` | `handleGetResponse(GetResponse getResponse)` Checks and validates the response of a get request.
`boolean` | `handlePostResponse(PostResponse postResponse)` Check the response of a post request.
`void` | `initialize(Map<String,Object> parameterMap)` initializes the implementation with additional parameters.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseObjectBuilderImpl

    public ResponseObjectBuilderImpl()

Method Detail

### handlePostResponse

    public final boolean handlePostResponse(PostResponse postResponse)
                                     throws GenAsyncBusinessConnectorException

  Description copied from interface: `ResponseObjectBuilder`
  Check the response of a post request. it will check if there are no errors , and return a boolean true if there were warnings in the response.

  Specified by:
    `handlePostResponse` in interface `ResponseObjectBuilder`
  Parameters:
    `postResponse` - the WS response
  Returns:
    true if error contains warnings, false if it doesn't
  Throws:
    `GenAsyncBusinessConnectorException`
  See Also:
    `ResponseObjectBuilder.handlePostResponse(PostResponse)`

### handleGetResponse

    public final Map<Object,SignatureVerificationResult> handleGetResponse(GetResponse getResponse)
                                                                    throws GenAsyncBusinessConnectorException

  Description copied from interface: `ResponseObjectBuilder`
  Checks and validates the response of a get request. if there are Xades signatures , they will be validated. ( mycarenet already validates that the messages containt the xades signature if they are needed , no additional check on presence of these signatures is needed) the hashvalue check should be done seperately ( with `BlobBuilder` code ) while retrieving the contents of the messages.

  Specified by:
    `handleGetResponse` in interface `ResponseObjectBuilder`
  Parameters:
    `getResponse` - the WS Response
  Returns:
    when no validation failures occure the return is a Map with the responses ( TackResponse or MessageResponse ) as key and the `SignatureVerificationResult` as value
  Throws:
    `GenAsyncBusinessConnectorException` - with the results if there is a signature verification failure
  See Also:
    `ResponseObjectBuilder.handleGetResponse(be.cin.nip.async.generic.GetResponse)`

### initialize

    public void initialize(Map<String,Object> parameterMap)
                    throws TechnicalConnectorException

  Description copied from interface: `ConfigurableImplementation`
  initializes the implementation with additional parameters.

  Specified by:
    `initialize` in interface `ConfigurableImplementation`
  Parameters:
    `parameterMap` - Map with for each propertyString ,the input parameter as Object.
  Throws:
    `TechnicalConnectorException` - if the parameterMap is not correct.
  See Also:
    `ConfigurableImplementation.initialize(java.util.Map)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.